<?
if (isset($ID)) {
  $ank = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '$ID' LIMIT 1");
}

if (!isset($ank['id']) && isset($user)) {
  $ank = $user;
}

$system['title']='История смен ников: '.$ank['login'];
require SYS . 'header.php';

//$system['page_str']=1;


$k_post= $sql -> selectCount("SELECT COUNT(*) FROM `nick_histore` WHERE `id_user` = '$ank[id]' AND `id_kont` = '$ank[id]'");

  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];

if ($k_post==0){
  ?>
  <div class="alert" style="margin: 2px;"><?= $ank['login']?> еще не менял ники</div>
  <?
}else{

echo '<div class="nav1"> Всего смен ников у  <a href="/wm/'.$ank['my_links'].' ">'.$ank['login'].'</a> ('.$k_post.') </div>';
$jurnal_sql= $sql -> select("SELECT * FROM `nick_histore` WHERE `id_user` = '$ank[id]' AND `id_kont` = '$ank[id]'  ORDER BY id DESC LIMIT $start, $system[page_str]");

 foreach ($jurnal_sql AS $row) {
    $num++;
echo "<div class='nav2'>Ник 
<font color='blue'>".text_out($row['nick'])."</font> сменен на 
<font color='red'>".text_out($row['nick_new'])."</font>
<span class='anput'>
(".vremja($row['time']).")</span>
 </div>"; 
 }

if ($k_page>1)str('/?func=nick.histore&amp;id='.$ank['id'].'&amp;',$k_page,$page); // Вывод страниц 
}